[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64EncodingStream.Seek

Position the stream

## Declaration

Source position: base64.pp line 42

`public function TBase64EncodingStream.Seek(`
`Offset: LongInt;`
`Origin: Word`
`):LongInt; override;`

## Arguments

`Offset` |  | Offset from origin
`Origin` |  | Origin for the seek operation.

## Function result

New position in the stream

## Description

Seek always raises an EStreamError exception unless the arguments it received it don't change the current file pointer position. The encryption stream is not seekable.

## Errors

An EStreamError error is raised.

## See also

TBase64EncodingStream.Write |  | Write data to the stream.
TStream.Seek